Bug 650427 - [abrt] telepathy-sunshine-0.1.8-2.fc14: conn.py:157:check_handle:InvalidHandle: org.freedesktop.Telepathy.Error.InvalidHandle: handle number 0 not valid for type 1
Summary: [abrt] telepathy-sunshine-0.1.8-2.fc14: conn.py:157:check_handle:InvalidHandl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: telepathy-sunshine
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Julian Sikorski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b80d0666
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-06 10:33 UTC by Michal Klich
Modified: 2011-06-09 00:02 UTC (History)
1 user (show)

Fixed In Version: telepathy-sunshine-0.2.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-04 03:03:01 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1010 bytes, text/plain)
2010-11-06 10:33 UTC, Michal Klich
no flags Details

Description Michal Klich 2010-11-06 10:33:38 UTC
abrt version: 1.1.13
architecture: x86_64
cmdline: /usr/bin/python /usr/libexec/telepathy-sunshine
component: telepathy-sunshine
executable: /usr/libexec/telepathy-sunshine
kernel: 2.6.35.6-48.fc14.x86_64
package: telepathy-sunshine-0.1.8-2.fc14
reason: conn.py:157:check_handle:InvalidHandle: org.freedesktop.Telepathy.Error.InvalidHandle: handle number 0 not valid for type 1
release: Fedora release 14 (Laughlin)
time: 1289039091
uid: 500

backtrace
-----
conn.py:157:check_handle:InvalidHandle: org.freedesktop.Telepathy.Error.InvalidHandle: handle number 0 not valid for type 1

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/sunshine/util/decorator.py", line 130, in async_function
    func(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/sunshine/connection.py", line 477, in on_updateContact
    handle = self.handle(telepathy.constants.HANDLE_TYPE_CONTACT, handle_id)
  File "/usr/lib/python2.7/site-packages/sunshine/connection.py", line 232, in handle
    self.check_handle(handle_type, handle_id)
  File "/usr/lib/python2.7/site-packages/telepathy/server/conn.py", line 157, in check_handle
    (handle, handle_type))
InvalidHandle: org.freedesktop.Telepathy.Error.InvalidHandle: handle number 0 not valid for type 1

Local variables in innermost frame:
x: (1, 1)
handle_type: 1
handle: 0
self: <sunshine.connection.SunshineConnection at /org/freedesktop/Telepathy/Connection/sunshine/gadugadu/_35672780 at 0x26764d0>

comment
-----
I do not open, text any gg contacts. It crashes randomly on empathy start.
I belive i had version i 0-1.8.8 on F13 and it used to work.

How to reproduce
-----
1. Open empathy
2. It crashes sometimes.
3.

Comment 1 Michal Klich 2010-11-06 10:33:43 UTC
Created attachment 458307 [details]
File: backtrace

Comment 2 Julian Sikorski 2010-11-07 08:33:09 UTC
Well, unfortunately "crashes sometimes" is not making it easy to diagnose. Please try this package:
http://belegdol.fedorapeople.org/telepathy-sunshine-0.1.8-10.fc14.noarch.rpm
It contains the latest upstream code.

Comment 3 Michal Klich 2010-11-07 11:15:02 UTC
I know that it does not help, sorry. Today i had no problems on startup. I`ll try that package and post comments later today. Thanks

Comment 4 Michal Klich 2010-11-08 07:30:42 UTC
Seems to work fine. No crashes, i am also able to create contacts which i could not do with previous package.

Comment 5 Fedora Update System 2011-05-29 22:09:54 UTC
telepathy-sunshine-0.2.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/telepathy-sunshine-0.2.0-1.fc15

Comment 6 Fedora Update System 2011-05-29 22:14:09 UTC
telepathy-sunshine-0.2.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/telepathy-sunshine-0.2.0-1.fc14

Comment 7 Fedora Update System 2011-05-29 22:16:38 UTC
telepathy-sunshine-0.2.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/telepathy-sunshine-0.2.0-1.fc13

Comment 8 Fedora Update System 2011-05-30 22:26:59 UTC
Package telepathy-sunshine-0.2.0-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing telepathy-sunshine-0.2.0-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/telepathy-sunshine-0.2.0-1.fc15
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-06-04 03:02:45 UTC
telepathy-sunshine-0.2.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-06-08 23:57:55 UTC
telepathy-sunshine-0.2.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-06-09 00:02:07 UTC
telepathy-sunshine-0.2.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.